Subject: Re: [PATCH] doc: mention bigFileThreshold for packing

From: Junio C Hamano <[email-masked]>
Date: Tue, 09 Feb 2021 13:50:16 -0800

"Christian Walther via GitGitGadget" <[email-masked]>
writes:

> From: Christian Walther <[email-masked]>
>
> Knowing about the core.bigFileThreshold configuration variable is
> helpful when examining pack file size differences between repositories.
> Add a reference to it to the manpages a user is likely to read in this
> situation.

Thanks.

I doubt that the description of --window/--depth command line
options, for both repack and pack-objects, is the best place to add
this "Note".  Even if we were to add it as an appendix to these
places, please do not break the flow of explanation by inserting it
before the description of the default values of these options.

>     I recently spent a lot of time trying to figure out why git repack would
>     create huge packs on some clones of my repository and small ones on
>     others, until I found out about the existence of the
>     core.bigFileThreshold configuration variable, which happened to be set
>     on some and not on others. It would have saved me a lot of time if that
>     variable had been mentioned in the relevant manpages that I was reading,
>     git-repack and git-pack-objects. So this patch adds that.

Not related to the contents of the patch, but I am somewhat curious
to know what configuration resulted in the "huge" ones and "small"
ones.  Documentation/config/core.txt::core.bigFileThreashold may be
helped by addition of a success story, and the configuration for the
"small" ones may be a good place to start.

Thanks